Skip to main content
PATCH
Error

Authorizations

Authorization
string
header
required

API token obtained from the Tokens endpoint or CLI device login. Include as Authorization: Bearer <token>. Requests made with a managed CLI session also include X-Strix-Workspace: <organization_id> to pin a process to the workspace it started in; recovery endpoints report the current workspace after a concurrent switch.

Path Parameters

vulnerabilityId
string
required

ID of the vulnerability. Use the id field of a finding from listVulnerabilities.

Body

application/json

At least one of status or severity must be provided.

status
enum<string>

New triage status of the finding.

Available options:
open,
in_progress,
snoozed,
fixed,
ignored,
not_affected
note
string

Optional note when changing status.

severity
enum<string>

New severity of the finding.

Available options:
critical,
high,
medium,
low
severity_reason
string

Optional reason for the severity change.

Maximum string length: 1000

Response

Updated vulnerability.

id
string
required
title
string
required
description
string
required
created_at
string<date-time>
required
status
enum<string>
required
Available options:
open,
in_progress,
snoozed,
fixed,
ignored,
not_affected
severity
enum<string>
required
Available options:
critical,
high,
medium,
low
scan_id
string<uuid> | null
pr_review_id
string<uuid> | null
cve
string | null
cvss
number | null
potential_risk_saving
number | null
risk_saving_description
string | null
impact
string | null
endpoint
string | null
method
string | null
target
string | null
technical_analysis
string | null
poc_description
string | null
poc_script_code
string | null
code_diff
string | null
code_file
string | null
code_before
string | null
code_after
string | null
cwe
string[] | null
code_locations
object[] | null
remediation_steps
string | null
fix_pr_body
string | null
evidence
string | null
assumptions
string | null
fix_effort
enum<string>
Available options:
trivial,
low,
medium,
high
cvss_breakdown
object | null
status_changed_at
string<date-time> | null
status_changed_by
string | null
status_note
string | null
original_severity
enum<string>
Available options:
critical,
high,
medium,
low
severity_changed_at
string<date-time> | null
severity_changed_by
string | null
severity_override_reason
string | null
retest_of_vulnerability_id
string | null
display_number
integer | null

Human-readable STRIX-ID number.

location_meta
object | null
fix_pr_eligible
boolean
fix_pr_reason
string | null
fix_pr_url
string | null